// file      : CIDLC/DescriptorGenerator.hpp
// author    : Jeff Parsons <j.parsons@vanderbilt.edu>
// cvs-id    : DescriptorGenerator.hpp,v 1.2 2003/10/13 01:45:43 parsons Exp

#ifndef DESCRIPTOR_GENERATOR_HPP
#define DESCRIPTOR_GENERATOR_HPP

#include "CCF/CodeGenerationKit/CommandLine.hpp"
#include "CCF/CodeGenerationKit/CommandLineDescriptor.hpp"

#include "CCF/CIDL/SyntaxTree.hpp"

class DescriptorGenerator
{
public:
  void
  options (CL::Description& d);

  void
  generate (CommandLine const&,
            CCF::CIDL::SyntaxTree::TranslationUnitPtr const&);

private:
  fs::ofstream ofs_;
};


#endif // DESCRIPTOR_GENERATOR_HPP

/*
 * Local Variables:
 * mode: C++
 * c-basic-offset: 2
 * End:
 */
